<!-- -------------------- ./mgmt/dosended_page.html -------------------- -->

<nav class="navbar navbar-expand-lg navbar-expand-xl navbar-light bg-light">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mgtSearchBar" aria-expanded="false" >
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="mgtSearchBar">
    <span class="navbar-brand">Porte-documents: </span> <span class='badge badge-secondary' id='DosCnt'><?php echo count($this->ELIST); ?></span>&nbsp;&nbsp;&nbsp;
    <ul class="navbar-nav mr-auto"></ul>
    <form class="form-inline my-2 my-lg-0">
      <div class="form-row align-items-center">
	<div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-filter"></i></span>
            </div>
            <select id="searchSTS" class="form-control" onchange="GlobalFilter()">
             <option value="---">tous</option>
             <option value="zign3" <?php echo (@$this->SFILTR['FS']=="zign3")?"selected":""; ?>>signature refusée</option>
             <option value="zign4" <?php echo (@$this->SFILTR['FS']=="zign4")?"selected":""; ?>>signature effectuée</option>
             <option value="zign5" <?php echo (@$this->SFILTR['FS']=="zign5")?"selected":""; ?>>signature partielle</option>
             </select>
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-search"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchDoc" placeholder="chercher porte-document" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FD']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchMod" placeholder="chercher date de modif" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FM']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchEOL" placeholder="chercher date de fin" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FE']; ?>">
          </div>
        </div>
      </div>
    </form>
  </div>
</nav>

<table id="dostable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th><input id="masterCheck" type="checkbox" onclick="ToggleCheck('dostable')"></th>
 <th>&nbsp;nom</th>
 <th>&nbsp;statut</th>
 <th class="d-none d-sm-none d-md-none d-lg-table-cell d-xl-table-cell">&nbsp;dernière modification</th>
 <th class="d-none d-sm-none d-md-table-cell d-lg-table-cell d-xl-table-cell">&nbsp;fin de vie</th>
 <th>&nbsp;actions</th>
</tr>
</thead>
<tbody>
<?php 
include "tpl/func/disp_status.php";
foreach ($this->ELIST as $did => $pdata ) : 
 $mode = $pdata['mode'];
 $elem = $pdata['data'];
 $stinf = GetStatusInfo($elem);
?>
<tr class="datarow">
 <td><input class="selchk" type="checkbox"><span class="hidden did"><?php echo $did; ?></span></td>
 <td><span class="dnam"><a href="<?php echo $this->URL->GetMgmtMethodWithDID('View',$did); ?>" ><?php echo $elem['title']; ?></a></span></td>
 <td><span class="hidden dsts"><?php echo $stinf['sts1']; ?></span><i class="fas fa-<?php echo $stinf['sts2']; ?>" ></i>&nbsp;&nbsp;<span class="txtstatus"><?php echo $stinf['sts3']; ?></span></td>
 <td class="d-none d-sm-none d-md-none d-lg-table-cell d-xl-table-cell"><span class="dmod"><?php echo $elem['modified']; ?></span></td>
 <td class="d-none d-sm-none d-md-table-cell d-lg-table-cell d-xl-table-cell"><span class="deol"><?php echo $elem['endoflife']; ?></span></td>
 <td>
  <div>
  <a href="<?php echo $this->URL->GetMgmtMethodWithDID('View',$did); ?>" role="button" class="btn my-btn-xs btn-success" data-toggle="tooltip" data-placement="top" title="Visualiser" target="doc">&nbsp;<i class="far fa-eye"></i>&nbsp;</a> 
  <button type="button" class="btn my-btn-xs btn-warning" data-toggle="tooltip" data-placement="top" title="Supprimer de la liste" onclick="DetachModal('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">&nbsp;<i class="far fa-minus-square"></i>&nbsp;</button>
  <?php if ( $mode == 'writer' ) { ?>
  <button type="button" class="btn my-btn-xs btn-danger" data-toggle="tooltip" data-placement="top" title="Supprimer" onclick="DeleteModal('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">&nbsp;<i class="far fa-trash-alt"></i>&nbsp;</button>
  <?php } ?>
  </div>
</td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>

<div id="bottbutt">
&nbsp;<i class="far fa-check-square"></i><i class="fas fa-long-arrow-alt-right"></i>&nbsp;
  <button type="button" class="btn my-btn-xs btn-warning" data-toggle="tooltip" data-placement="top" title="Supprimer de la liste" onclick="MultiDetachModal()">&nbsp;<i class="far fa-minus-square"></i>&nbsp;</button>
  <button type="button" class="btn my-btn-xs btn-danger" data-toggle="tooltip" data-placement="top" title="Supprimer" onclick="MultiDeleteModal()">&nbsp;<i class="far fa-trash-alt"></i>&nbsp;</button>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Delete Modal -->
<div class="modal fade" id="ModalConfDel" tabindex="-1" role="dialog" aria-labelledby="ModalConfDelTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('Delete'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalConfDelTitle"><i class="fas fa-trash-alt"></i>&nbsp;Supprimer ce porte-documents ?</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalConfDelBody">
	<input id="md_imp_did" type="hidden" name="DID" value="">
	<input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">
	<input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>">
	<p class="text-error">
	  <em>Le porte-documents <span class='label label-default' id='md_tit_dnam'></span><br>et tout son contenu seront détruit</em><br> 
	</p>
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-danger btn-sm"> OK </button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Detach Modal -->
<div class="modal fade" id="ModalConfDetach" tabindex="-1" role="dialog" aria-labelledby="ModalConfDetachTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('Detach'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalConfDetachTitle"><i class="fas fa-minus-square"></i>&nbsp;Détacher ce porte-documents ?</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalConfDetachBody">
	<input id="mdt_imp_did" type="hidden" name="DID" value="">
	<input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">
	<input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>">
	<p class="text-error">
	  <em>Le porte-documents <span class='label label-default' id='mdt_tit_dnam'></span> ne sera pas détruit<br>mais supprimé de la liste</em><br> 
	</p>
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-warning btn-sm"> OK </button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- MultiDelete Modal -->
<div class="modal fade" id="ModalConfMultiDel" tabindex="-1" role="dialog" aria-labelledby="ModalConfMultiDelTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('MultiDelete'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalConfMultiDelTitle"><i class="fas fa-trash-alt"></i>&nbsp;Supprimer les porte-documents selectionnés ?</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalConfMultiDelBody">
	<input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">
	<input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>">
	<input id="did_imp_multi_delete" type="hidden" name="DELETELIST">
	<p class="text-error">
	  <em>Les porte-documents selectionnés et tout leur contenu seront détruit</em><br> 
	</p>
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-danger btn-sm"> OK </button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- MultiDetach Modal -->
<div class="modal fade" id="ModalConfMultiDetach" tabindex="-1" role="dialog" aria-labelledby="ModalConfMultiDetachTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('MultiDetach'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalConfMultiDetachTitle"><i class="fas fa-minus-square"></i>&nbsp;Détacher les porte-documents selectionnés ?</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalConfMultiDetachBody">
	<input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">
	<input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>">
	<input id="did_imp_multi_detach" type="hidden" name="DETACHLIST">
	<p class="text-error">
	  <em>Les porte-documents selectionnés ne seront pas détruits<br>mais supprimé de votre liste</em><br> 
	</p>
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-warning btn-sm"> OK </button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Empty Selection Modal -->
<div class="modal fade" id="ModalEmptySel" tabindex="-1" role="dialog" aria-labelledby="ModalEmptySelTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" >
       <div class="modal-header">
        <h4 class="modal-title" id="ModalEmptySelTitle"><i class="fas fa-exclamation-triangle"></i>&nbsp;Attention !</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalEmptySelBody">
        <p class="text-info">
          <em>Vous n'avez selectionné aucun dossier !</em><br> 
        </p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">OK</button>
      </div>
     </form>
    </div>
  </div>
</div>

